Get user

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-reference.lassomoderation.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Lasso Moderation API MCP server": {
    "url": "https://api-reference.lassomoderation.com/mcp"
  }
}

Close
GET /user/{userId}

Get information about a user.

Default rate limit: 120 requests per minute.

Path parameters

  • userId string Required

    The id of the user (the user id you sent when ingesting them)

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • success boolean Required
    • user object Required
      Hide user attributes Show user attributes object
      • id string Required
      • created_at string(date-time) Required

        ISO Date e.g. 2022-07-21T18:12:39.000Z https://en.wikipedia.org/wiki/ISO_8601

      • name string
      • profile_image_url string
      • email string
      • email_domain string
      • country_code string
      • signup_method string
      • ip_address string
      • status string | null

        The status of an object

        Values are allowed, flagged, or hidden.

      • type string

        Values are normal, moderator, admin, trusted, testing, or state_actor.

      • temporarily_banned_until string(date-time)

        Only set when the user is temporarily banned

      • strike_until string(date-time)

        Only set when the user currently has a strike

      • last_accepted_profile_name string

        The last profile name that was accepted by Lasso.

      • last_accepted_profile_image string

        The last profile image that was accepted by Lasso

      • metadata object | null

        Extra free-form data about the object as key-value pairs. Values can be strings, numbers, booleans, null, or an object with one more level of key-value pairs.

        • The metadata may be at most 4KB (4096 bytes) when serialized as JSON.
        • Keys are not allowed to contain /.
      • tags array[string]

        The identifiers of the tags set on the user

      • published_at string(date-time) | null

        The date the user was published, null when the user is not published yet

  • 401 application/json

    The API token is missing or invalid

    Hide response attributes Show response attributes object
    • success boolean Required
    • error string | object Required

      A message describing the error. For validation errors this is an object with an error message per field.

  • 404 application/json

    Returned when the user is not found

    Hide response attributes Show response attributes object
    • success boolean Required
    • error string | object Required

      A message describing the error. For validation errors this is an object with an error message per field.

  • 429 application/json

    The rate limit has been exceeded, check the X-RateLimit headers for limits

    Hide headers attributes Show headers attributes
    • X-RateLimit-Limit

      The rate limit interval in milliseconds

    • X-RateLimit-Remaining

      The number of requests remaining in the current interval

    • X-RateLimit-Reset

      The number of milliseconds until requests are allowed again

    Hide response attribute Show response attribute object
    • error string Required
GET /user/{userId}
curl \
 --request GET 'https://api.lassomoderation.com/api/v1/user/{userId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "success": true,
  "user": {
    "id": "user_api_test",
    "created_at": "2024-03-05T14:02:02.236Z",
    "name": "Fred",
    "profile_image_url": "https://i.pravatar.cc/180?u=2user_api_test",
    "email": "fred@privaterelay.appleid.com",
    "email_domain": "privaterelay.appleid.com",
    "country_code": "NL",
    "signup_method": "apple",
    "status": "hidden",
    "type": "normal",
    "strike_until": "2024-03-05T15:19:12.522Z",
    "last_accepted_profile_name": "Fred",
    "metadata": {
      "connections": 8
    },
    "tags": [
      "suspicious-user"
    ],
    "published_at": "2024-03-05T14:02:02.236Z"
  }
}
Response examples (401)
{
  "success": false,
  "error": "Invalid API key"
}
Response examples (404)
{
  "success": false,
  "error": "User not found"
}
Response examples (429)
{
  "error": "Too many requests, check headers for limits"
}